LibreOffice: DatabaseImportDescriptor Service Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Attributes | List of all members
DatabaseImportDescriptor Service Referencepublished

represents a description of how data from an external database is imported. More...

## Public Attributes
com::sun::star::sheet::DataImportMode | SourceType
| enables importing and specifies from what type of source data is imported.
string | DatabaseName
| specifies the name of the database from which data is imported.
string | SourceObject
| specifies the table, query, or statement from which data is imported.
boolean | IsNative
| specifies whether the SQL statement is given directly to the database or is parsed before.
string | ConnectionResource
| indicates a connection URL, which locates a database driver.

## Detailed Description

represents a description of how data from an external database is imported.

See also
  com::sun::star::sheet::XDatabaseRange

Developers Guide
  Spreadsheet Documents - Database Import

## Member Data Documentation

## ◆ ConnectionResource

string ConnectionResource
| optionalproperty

indicates a connection URL, which locates a database driver.

Since
  OOo 2.0

## ◆ DatabaseName

string DatabaseName
| property

specifies the name of the database from which data is imported.

## ◆ IsNative

boolean IsNative
| optionalproperty

specifies whether the SQL statement is given directly to the database or is parsed before.

Since
  OOo 2.0

## ◆ SourceObject

string SourceObject
| property

specifies the table, query, or statement from which data is imported.

The meaning of this is determined by the DatabaseImportDescriptor::SourceType attribute.

## ◆ SourceType

com::sun::star::sheet::DataImportMode SourceType
| property

enables importing and specifies from what type of source data is imported.

The documentation for this service was generated from the following file:

- com/sun/star/sheet/DatabaseImportDescriptor.idl